# 新建推广渠道

## URL

[https://www.growingio.com/api/v1/projects/{project\_uid}/meta/channels](https://www.growingio.com/api/v1/projects/%7Bproject_uid%7D/meta/channels)

## 请求类型

POST

## 请求头参数

公共头部请参考[公共请求头参数](https://growingio.gitbook.io/v3/developer-manual/api-reference/authenticate)。

## 参数说明与示例

{% tabs %}
{% tab title="请求参数" %}

| 路径参数         | 类型     | 是否必传 | 说明     |
| ------------ | ------ | ---- | ------ |
| project\_uid | string | 是    | 项目UID。 |

| body参数       | 类型     | 是否必传 | 说明    |
| ------------ | ------ | ---- | ----- |
| name         | string |      | 渠道名称。 |
| {% endtab %} |        |      |       |

{% tab title="返回参数" %}

| 名称           | 类型     | 说明    |
| ------------ | ------ | ----- |
| id           | string | 渠道ID。 |
| name         | string | 渠道名称。 |
| {% endtab %} |        |       |

{% tab title="body示例" %}

```
{
  "name":"二维码推广"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://growingio.gitbook.io/v3/developer-manual/api-reference/query-productid/definition/createchannels.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
